@import "main.css";
@import "menu_light.css";
@import "page_title.css";
@import "page_nav.css";
@import "pagination.css";
@import "from.css";
@import "table.css";

.banner{
  display: block;
  height: 220px;
  width: 100%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: bottom;
  position: relative;
  bottom: 100px;
  margin-bottom: -100px;
}

section{
  display: none;
  padding-bottom: 40px;
}

.open{
  display: block;
  background-color: var(--dark-200);
  transition: .6s ease;
  opacity: 1;
}

.payment_prdouct {
  display: flex;
  justify-content: space-between;
  position: relative;
  padding: 24px 10px;
  box-sizing: border-box;
  border-bottom: 1px solid #ccc;
}

.payment-cart-content{
  background-color: #fff;
  box-sizing: border-box;
  padding: 12px 20px;
  border-bottom: 2px solid var(--dark-300);
}

.payment_prdouct_img {
  flex: none;
  width: 120px;
  height: 120px;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  border: 3px solid #fff;
  box-sizing: border-box;
  aspect-ratio: 1/1;
  position: relative;
}

.payment_prdouct_title{
  max-width: 220px;
  width: 100%;
  box-sizing: border-box;
  overflow: hidden;
  font-size: .8rem;
  font-weight: 600;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.payment_prdouct_input{
  box-sizing: border-box;
  width: 160px;
}

.payment_prdouct_price{
  box-sizing: border-box;
  width: auto;
}

.payment_prdouct_input > input{
  width: 40px;
  text-align: center;
  height: 26px;
  box-sizing: border-box;
  border: 1px solid;
}

.payment_prdouct div:nth-child(1) > .trash_btn{
  top: -10px;
  left: 100px;
}

.payment_prdouct_content {
  width: auto;
  height: 120px;
  display: block;
  line-height: 40px;
  padding-left: 20px;
  box-sizing: border-box;
}

.payment_prdouct_content div {
  height: auto;
  display: flex;
  line-height: 26px;
  padding-top: 12px;
}

.payment-cart-content > .total{
  position: relative;
  display: block;
  margin-left: calc(100% - 268px);
}

.total{
  margin-top: 24px
}

.discount{
  margin-top: 24px;
}

.discount > label{
  box-sizing: border-box;
  height: 50px;
  border: 1px solid #333;
  line-height: 50px;
  display: inline-block;
  background-color: var(--brand-color);
  color: #fff;
  padding: 0px 12px;
}

.discount > input{
  box-sizing: border-box;
  height: 50px;
  border: 1px solid #333;
  line-height: 50px;
  margin-right: -2px;
  padding: 0px 12px;
}

.payment-cart-title{
  text-align: center;
  padding: 20px 0;
}

.pay-method{
  position: relative;
}

.pay-method input{
  width: 20px;
  height: 20px;
  position: relative;
  top: -33px;
  right: 1px;
}

.food_card_list{
  display: block;
  width: 100%;
  font-size: 1rem;
  letter-spacing: 1px;
  user-select: none;
  padding: 10px 30px;
  border-bottom: 1px solid var(--dark-300);
  box-sizing: border-box;
}

.payment-cart-content input:checked{
  background-color: var(--brand-color-2);
}

.food_card_lists{
  height: 1px;
  opacity: 0;
  overflow: hidden;
  color: var(--dark-600);
  font-size: .8rem;
  line-height: 1.4rem;
}

.food_card_list_1{
  display: block;
  
}

.food_card_list_2{
  display: block;
}

.food_card_list_3{
  display: block;
}



#food_card_list_01:checked ~ .food_card_list_1{
  transition: .3s ease;
  height: auto;
  padding-bottom: 20px;
  opacity: 1;
}

#food_card_list_02:checked ~ .food_card_list_2{
  transition: .3s ease;
  height: auto;
  padding-bottom: 20px;
  opacity: 1;
}

#food_card_list_03:checked ~ .food_card_list_3{
  transition: .3s ease;
  height: auto;
  padding-bottom: 20px;
  opacity: 1;
}

.food_btn{
  background-color: var(--brand-color);
  display: block;
  width: 100%;
  padding: 12px;
  color: var(--dark-100);
}

.subtract{
  display: inline-block;
  user-select: none;
  height: 26px;
  box-sizing: border-box;
  line-height: 26px;
  padding: 0px 6px;
  border: 1px solid var(--dark-900);
   border-right: 0px;
}

.add{
  display: inline-block;
  user-select: none;
  height: 26px;
  box-sizing: border-box;
  line-height: 26px;
  padding: 0px 6px;
  border: 1px solid var(--dark-900);
  border-left: 0px;
}

.subtract:hover{
  background-color: var(--dark-300);
}

.add:hover{
  background-color: var(--dark-300);
}

@media screen and (min-width: 768px) {
  .payment_prdouct_content{
    display: grid;
    grid-template-columns: 3fr 1fr 1fr;
    column-gap: 20px;
    line-height: 120px;
    text-align: center;
  }
  .payment_prdouct_content > div {
    height: 120px;
    display: flex;
  }
}